[arch-commits] Commit in xorg-fonts-100dpi/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Mar 8 06:58:02 EST 2010


    Date: Monday, March 8, 2010 @ 06:58:02
  Author: jgc
Revision: 71678

upgpkg: xorg-fonts-100dpi 1.0.1-3
Update fonts, convert to -any architecture

Modified:
  xorg-fonts-100dpi/trunk/PKGBUILD

----------+
 PKGBUILD |   45 +++++++++++++++++++++++++--------------------
 1 file changed, 25 insertions(+), 20 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-08 08:16:07 UTC (rev 71677)
+++ PKGBUILD	2010-03-08 11:58:02 UTC (rev 71678)
@@ -3,35 +3,40 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=xorg-fonts-100dpi
 pkgver=1.0.1
-pkgrel=2
+pkgrel=3
 pkgdesc="X.org 100dpi fonts"
-arch=(i686 x86_64)
+arch=(any)
 url="http://xorg.freedesktop.org/"
 license=('custom')
 depends=('xorg-fonts-encodings' 'xorg-fonts-alias' 'xorg-font-utils' 'fontconfig')
 groups=('xorg')
 install=xfonts.install
-source=(${url}/releases/individual/font/font-adobe-100dpi-1.0.0.tar.bz2
-        ${url}/releases/individual/font/font-adobe-utopia-100dpi-1.0.1.tar.bz2
-        ${url}/releases/individual/font/font-bh-100dpi-1.0.0.tar.bz2
-        ${url}/releases/individual/font/font-bh-lucidatypewriter-100dpi-1.0.0.tar.bz2
-        ${url}/releases/individual/font/font-bitstream-100dpi-1.0.0.tar.bz2)
-md5sums=('443acfe70e26716282f9068730fe92c4' '5d28a30efef966f8dbbaff9a6619f01a'\
-         'e5592de74a5c04e3a2608800dd079197' 'c44d3f730564da465993e9292a33c235'\
-         '173352ddec3d26e2b91df1edcf1ae85b')
+source=(${url}/releases/individual/font/font-adobe-100dpi-1.0.1.tar.bz2
+        ${url}/releases/individual/font/font-adobe-utopia-100dpi-1.0.2.tar.bz2
+        ${url}/releases/individual/font/font-bh-100dpi-1.0.1.tar.bz2
+        ${url}/releases/individual/font/font-bh-lucidatypewriter-100dpi-1.0.1.tar.bz2
+        ${url}/releases/individual/font/font-bitstream-100dpi-1.0.1.tar.bz2)
+md5sums=('c754c3f4a5e08442bf6972b9466625ed'
+         '1c3a2c26bd3f6e406fbadc7380efa369'
+         '8af580b87e17ddacdf0ce3d775248387'
+         'a2b3951dbc6ddb2e4c7e09519dd13333'
+         '3b8748f8029c53595e4a4a1b23fa790a')
 
 build() {
-  cd ${srcdir}
-  for dir in font-*-100dpi-1.0.0 font-*-100dpi-1.0.1; do
-    pushd ${dir}
+  cd "${srcdir}"
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+
+  for dir in font-*-100dpi*; do
+    if [ -d "${dir}" ]; then
+      pushd ${dir}
       ./configure --prefix=/usr \
-                  --with-mapfiles=/usr/share/fonts/util \
-		  --with-fontdir=/usr/share/fonts/100dpi
+          --with-fontdir=/usr/share/fonts/100dpi
       make || return 1
-      make DESTDIR=${pkgdir} install || return 1
-      install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.${dir%-100dpi-*}
-    popd
+      make DESTDIR="${pkgdir}" install || return 1
+  
+      install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.${dir%-100dpi-*}" || return 1
+      popd
+    fi
   done
-  rm -f ${pkgdir}/usr/share/fonts/100dpi/fonts.*
+  rm -f "${pkgdir}"/usr/share/fonts/100dpi/fonts.*
 }
-



More information about the arch-commits mailing list